import React, { useEffect } from 'react';
import styles from './index.less';
import KeyAreaLive from './KeyAreaLive';
import Map from './Map';
import ProminentProblemLive from './ProminentProblemLive';

/** @name 重点区域 */
const KeyArea: React.FC = () => {
  useEffect(() => {
    console.log('组件加载');
    return () => {
      console.log('销毁');
    };
  }, []);
  return (
    <div className={styles.container}>
      <Map></Map>
      <div style={{ flex: 1 }}>
        <KeyAreaLive></KeyAreaLive>
        <ProminentProblemLive></ProminentProblemLive>
      </div>
    </div>
  );
};

export default KeyArea;
